package ch.phoenixtechnologies.lc4j.openai.runtime.config;

import io.smallrye.config.ConfigMapping;

@ConfigMapping(prefix = "l4j.custom-embedding-model")
public interface CustomEmbeddingModelConfig {
    String baseUrl();

    String apiKey();

    String modelName();

    boolean logRequests();

    boolean logResponses();

    // int dimensions();
}
